Commit c2b4aba4 authored by J0WI's avatar J0WI Committed by Leo

main/pam-pgsql: modernize

parent e63392fc
......@@ -2,34 +2,31 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=pam-pgsql
pkgver=0.7.3.2
pkgrel=0
pkgrel=1
pkgdesc="PAM module to authenticate using a PostgreSQL database"
url="https://sourceforge.net/projects/pam-pgsql/"
arch="all"
license="GPL"
depends=""
depends_dev=""
license="GPL-2.0-or-later"
makedepends="$depends_dev linux-pam-dev postgresql-dev libgcrypt-dev
bsd-compat-headers"
install=""
subpackages="$pkgname-doc"
source="https://downloads.sourceforge.net/project/pam-pgsql/pam-pgsql/0.7/pam-pgsql-$pkgver.tar.gz"
builddir="$srcdir"/pam-pgsql-$pkgver
build() {
cd "$builddir"
./configure \
--build=$CBUILD \
--host=$CHOST \
--prefix=/usr \
|| return 1
make || return 1
--prefix=/usr
make
}
check() {
make check
}
package() {
cd "$builddir"
make DESTDIR="$pkgdir" install || return 1
make DESTDIR="$pkgdir" install
}
sha512sums="d5766e56a13b0b4762fba10d624d12f130f2675f1f1772eaaf275b599f44adcf98287c2636462ba3faf46af139eb1bd157918c0c783040796562f37dec17a6d9 pam-pgsql-0.7.3.2.tar.gz"
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment